classification
Title: libffi-3.0.11 update
Type: Stage: resolved
Components: ctypes Versions: Python 3.3
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: Arfrever, doko, flox, meador.inge, ned.deily, python-dev, ronaldoussoren, skrah
Priority: normal Keywords: patch

Created on 2012-06-26 15:06 by doko, last changed 2013-04-08 19:27 by doko. This issue is now closed.

Files
File name Uploaded Description Edit
libffi-3.0.11.diff.xz doko, 2012-06-26 15:06 patch
Messages (8)
msg164080 - (view) Author: Matthias Klose (doko) * (Python committer) Date: 2012-06-26 15:06
here is an update for libffi 3.0.11.  For now, only tested on x86-linux and arm-linux-gnueabi.  Proposing the check it in, and then test again, if the libffi_osx and libffi_msvc copies can be removed, if 3.0.11 works on these platforms (however I can't test on these myself).
msg164082 - (view) Author: Roundup Robot (python-dev) Date: 2012-06-26 16:00
New changeset 25421e1c48bb by doko in branch 'default':
- Issue #15194: Update libffi to the 3.0.11 release.
http://hg.python.org/cpython/rev/25421e1c48bb
msg164085 - (view) Author: Ronald Oussoren (ronaldoussoren) * (Python committer) Date: 2012-06-26 16:39
Removing libffi_osx would be fairly hard due to the creation of fat binaries, the libffi_osx tree supports building all files using 'cc -arch i386 -arch ppc -arch x86_64', the regular libffi sources require a more complex dance (basically build all architectures separately then merge them together).

OTOH libffi_osx seems to have problems when using with recent versions of clang.
msg164431 - (view) Author: Roundup Robot (python-dev) Date: 2012-06-30 22:40
New changeset 989efaab9525 by doko in branch 'default':
- Issue #15194: check in the missing m4/ax_check_compile_flag.m4 file.
http://hg.python.org/cpython/rev/989efaab9525
msg164435 - (view) Author: Roundup Robot (python-dev) Date: 2012-06-30 23:10
New changeset 6fe974b8056c by doko in branch 'default':
- Issue #15194: check in the missing m4/ax_append_flag.m4 file.
http://hg.python.org/cpython/rev/6fe974b8056c
msg164889 - (view) Author: Florent Xicluna (flox) * (Python committer) Date: 2012-07-07 15:53
Few warnings when building trunk (on 10.6):

./Modules/_ctypes/libffi_osx/x86/x86-ffi64.c:49: warning: function declaration isn’t a prototype
./Modules/_ctypes/libffi_osx/x86/x86-ffi64.c:379: warning: function declaration isn’t a prototype
msg164941 - (view) Author: Matthias Klose (doko) * (Python committer) Date: 2012-07-07 21:24
libffi_osx wasn't (yet) updated. so this seems to be unrelated to the 3.0.11 update.
msg186335 - (view) Author: Matthias Klose (doko) * (Python committer) Date: 2013-04-08 19:27
3.0.13 is now in 2.7.4, 3.2.4, 3.3.1 and the trunk.
History
Date User Action Args
2013-04-08 19:27:34dokosetstatus: open -> closed
resolution: fixed
messages: + msg186335

stage: resolved
2012-07-08 17:39:48loewislinkissue12081 superseder
2012-07-07 21:24:33dokosetmessages: + msg164941
2012-07-07 15:53:01floxsetnosy: + flox
messages: + msg164889
2012-06-30 23:10:34python-devsetmessages: + msg164435
2012-06-30 22:40:47python-devsetmessages: + msg164431
2012-06-26 19:12:13Arfreversetnosy: + Arfrever
2012-06-26 16:39:06ronaldoussorensetmessages: + msg164085
2012-06-26 16:01:00python-devsetnosy: + python-dev
messages: + msg164082
2012-06-26 15:37:22ned.deilysetnosy: + ronaldoussoren
2012-06-26 15:13:41pitrousetnosy: + ned.deily, skrah, meador.inge
2012-06-26 15:06:58dokocreate